Package csb :: Package bio :: Package fragments :: Class ClusterNode

[frames] | no frames]

# Class ClusterNode

source code

    object --+
             |
            ClusterNode

Cluster node.

Instance Methods

__init__(self, fragment, distance=`'``rmsd_to``'`, fixed=False) x.__init__(...) initializes x; see help(type(x)) for signature | source code

float

distance(self, other) Returns: the distance between self and another node | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods

ClusterNode

create(fragment, method=`'``rmsd_to``'`, extend=False) Create a new ClusterNode given a specified `Assignment`. | source code

Class Variables
| FIXED = `0.7`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, fragment, distance=`'``rmsd_to``'`, fixed=False)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `fragment` (Assignment) - fragment
  - `distance` (str) - distance metric (a Metrics member, default is RMSD)
  - `fixed` (bool) - mark this node as fixed (cannot be rejected)
Overrides: object.__init__
  (inherited documentation)

### create(fragment, method=`'``rmsd_to``'`, extend=False)
Static Method

source code

Create a new ClusterNode given a specified `Assignment`. If this assignment is a high probability match, define it as a fixed fragment.

Returns: ClusterNode

### distance(self, other)

source code

Parameters:
  - `other` (ClusterNode)
Returns: float
  the distance between self and another node